package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.AssetBasicNetwork;

import java.io.Serializable;
import java.util.List;

/**
 * 资产基础网络表(asset_basic_network)表数据库访问层
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetBasicNetWorkMapper extends BaseMapper<AssetBasicNetwork> {
    /**
     * 根据资产id查询对应的基础网络
     */
    List<AssetBasicNetwork> getByAssetId(Long id);

    /**
     * 逻辑删除
     */
    void deleteByAssetIds(Long id);


    /**
     * 删除
     * @param idList
     */
    void  deleteIdList(List<Long> idList);

}

